Coreboot uses the compiler option -mregparm=3 which causes variables to be
passed in registers. This is good for size and speed but not good when we
call a C function from asm. Force stage1_phase1 to use stdcall and get
variables off the stack.

Note that I didn't change stage1_phase3 because it doesn't use any variables.

Signed-off-by: Marc Jones <marcj303@gmail.com>

Index: coreboot-v3/arch/x86/stage1.c
===================================================================
--- coreboot-v3.orig/arch/x86/stage1.c	2009-02-06 12:57:51.000000000 -0700
+++ coreboot-v3/arch/x86/stage1.c	2009-02-06 12:55:58.000000000 -0700
@@ -187,7 +187,7 @@
  * that we are restarting after some sort of reconfiguration. Note that we could use it on geode but 
  * do not at present. 
  */
-void __attribute__((stdcall)) stage1_phase1(u32 bist, u32 init_detected)
+void __attribute__((stdcall, regparm(0))) stage1_phase1(u32 bist, u32 init_detected)
 {
 	struct global_vars globvars;
 	int ret;
